> ## Documentation Index
> Fetch the complete documentation index at: https://docs.desivocal.com/llms.txt
> Use this file to discover all available pages before exploring further.

#  Generate TTS

> Generates Text-to-Speech audio.



## OpenAPI

````yaml POST /generate
openapi: 3.1.0
info:
  title: DesiVocal API Documentation
  description: This is the documentation for the DesiVocal API.
  version: 1.0.0
servers: []
security: []
tags: []
paths:
  /generate:
    post:
      tags: []
      summary: Generate TTS Hindi
      description: Generates Text-to-Speech audio.
      parameters:
        - name: X_API_KEY
          in: header
          description: ''
          required: true
          example: '{{api_key}}'
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                text:
                  type: string
                voice_id:
                  type: string
              required:
                - text
                - voice_id
            example:
              text: >-
                भेजना चाहते हैं हिंदी में मैसेज लेकिन नहीं आती टाइपिंग? इन आसान
                Tips से मोबाइल से भेजें हिंदी में टेक्स्ट मैसेज
              voice_id: f27d74e5-ea71-4697-be3e-f04bbd80c1a8
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
          headers: {}
      deprecated: false
      security: []

````